package api2

import (
	"git.rosy.net.cn/jx-callback/business/authz"
	"git.rosy.net.cn/jx-callback/business/authz/casbinauth"
	"git.rosy.net.cn/jx-callback/globals"
)

var (
	RoleMan authz.IAuthz
)

func Init() {
	RoleMan2, err := casbinauth.New("conf/rbac_model.conf")
	if err != nil {
		globals.SugarLogger.Error(err.Error())
	} else {
		RoleMan = RoleMan2
	}
}
